package com.yinet.system.service.impl;

import com.yinet.common.annotation.DataSource;
import com.yinet.common.enums.DataSourceType;
import com.yinet.system.mapper.TouchScreenHaoMapper;
import com.yinet.system.service.TouchScreenHaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
@DataSource(value = DataSourceType.SLAVE)
public class TouchScreenHaoServiceImpl implements TouchScreenHaoService {

    @Autowired
    TouchScreenHaoMapper touchScreenHaoMapper;

    @Override
    public Map<String, Integer> selectCallNum() {
        return touchScreenHaoMapper.selectCallNum();
    }

    @Override
    public Map<String, Integer> selectPieNum() {
        return touchScreenHaoMapper.selectPieNum();
    }

    @Override
    public Integer selectCount() {
        return touchScreenHaoMapper.selectCount();
    }

    @Override
    public Map<String, Integer> selectNum() {
        return touchScreenHaoMapper.selectNum();
    }
}
